these are the hardware design files for the RPH0002 battery connector.
the RPH0002 is a battery pack manufactured by Jinyun Reypu Electronic Technology and used in [OKAI ES400B](https://eu.okai.co/pages/es400b) escooter.

purpose
=======

this connector allows the RPH0002 battery to be used a standalone, independently of the escooter.

usage
=====

plug the connector at the bottom of the battery either way since it's reversible.
toggle the switch to on, and the green RUN LED should light up.
the strobing blue ACT LED shows the board is communicating with the battery.
you are ready to use the battery.
the XT60 connector allows easily connecting wires to the battery.

use the DC barrel jack connector (5.0 mm OD, 2.1 mm ID) to charge the battery.
the charger should be for a 13S battery pack, up to 54.6V, and maximum 5A.
when charging, the red LED next to the connector should turn on.
on the battery display the % should blink, and the charging level displayed.

when the switch is toggled to off, the battery light turns red.
this clears after 10 minutes.

currently it can only operate the batteries for the ES400B.
the hardware supports the ES600, but not the firmware yet.

mode of operation
=================

the 14 slots on the bottom of the battery are for tab plugs, up to 1.5 mm thick, 6.5 mm wide, and 15 mm high.
these are pretty unusual though.
the closest PCB tabs I found are 0.8 mm thick (very usual), 6.35 mm wide (common), and 11.97 mm high (quite high).

the signal of each tab is written next to it on the back.
each signal appears twice because the connector is reversible.
this prevents any issue when the battery is mounted the other way around in the escooter, even if there is only one way to lock it in.
it also allows to have redundant connections, and increases the contact surface, allowing for letting more current to run through.
the two signals are interconnected in the battery, and is this connector.

for the battery to turn on, the output needs to the constantly connected to the sense signal.
this is what the switch does.
the output current is limited to 1 A.
over that, the Battery Management System (BMS) will turn off the output after 5 seconds.
the output will be turned back on after 1 minute.
to turn the output completely off, just leave the sense signal floating.
when the sense signal is connected to ground, the output will reset periodically and the battery light will blink red.

on the bottom part there is a ESP32-C3 micro-controller (MCU).
this will send CAN messages to the battery to activate it, and allow drawing more that 1 A.
it is power by the battery (initially limited to 1 A after switch on), stepped down from 55V to 5V using a DC to DC buck converter, and regulated to 3.3V by an LDO.
the MCU can be programmed and debugged through the USB port or 2x3 UART header.
I used a ESP32-C3-WROOM-02N4 module to also provide the battery level information over Bluetooth Low Energy (BLE).

when the MCU is powered and able to activate the battery, the green LED remains light up.
to activate the battery, it sends the two following messages periodically:

- identifier: 0x03FF1602, data: 0xF243270000000000
- identifier: 0x02FF2602, data: 0x9840ECDB09D1690B

if these two messages are not acknowledged by the battery, the green light will blink.
when CAN messages are transmitted or received, the blue light will blink.
the CAN pin header allows to connect to the bus.
the termination resistor is next to it.
